<?php 
class controller_plugin_google_translate extends plugin {
	protected $languages_list = array(
		'az' => 'Азербайджанский',
		'sq' => 'Албанский',
		'en' => 'Английский',
		'ar' => 'Арабский',
		'hy' => 'Армянский',
		'be' => 'Белорусский',
		'bg' => 'Болгарский',
		'cy' => 'Валлийский',
		'hu' => 'Венгерский',
		'vi' => 'Вьетнамский',
		'nl' => 'Голландский',
		'el' => 'Греческий',
		'ka' => 'Грузинский',
		'da' => 'Датский',
		'iw' => 'Иврит',
		'yi' => 'Идиш',
		'id' => 'Индонезийский',
		'ga' => 'Ирландский',
		'is' => 'Исландский',
		'es' => 'Испанский',
		'it' => 'Итальянский',
		'ca' => 'Каталонский',
		'zh-CN' => 'Китайский',
		'ko' => 'Корейский',
		'lv' => 'Латвийский',
		'lt' => 'Литовский',
		'mk' => 'Македонский',
		'mt' => 'Мальтийский',
		'de' => 'Немецкий',
		'no' => 'Норвежский',
		'fa' => 'Персидский',
		'pl' => 'Польский',
		'pt' => 'Португальский',
		'ro' => 'Румынский',
		'ru' => 'Русский',
		'sr' => 'Сербский',
		'sk' => 'Словацкий',
		'sl' => 'Словенский',
		'th' => 'Тайский',
		'tr' => 'Турецкий',
		'uk' => 'Украинский',
		'ur' => 'Урду',
		'tl' => 'Филиппинский',
		'fi' => 'Финский',
		'fr' => 'Французский',
		'hi' => 'Хинди',
		'hr' => 'Хорватский',
		'cs' => 'Чешский',
		'sv' => 'Шведский',
		'et' => 'Эстонский',
		'ja' => 'Японский'
	);
	
	public function action_index($plugin) {
		$selected_languages = unserialize($plugin['params']);
		
		if (empty($selected_languages) || !in_array($this->run_params, array_keys($this->languages_list))) { // в run_params должен передаваться код языка страницы
			return $this->page;
		} 
		
		$this->data['page_language'] = $this->run_params;
		$this->data['languages'] = $selected_languages;
		
		$this->page['html'] = $this->load_view();
		return $this->page;
	}
	
	public function action_activate() {
		$this->data['languages'] = $this->languages_list;
		$this->data['selected_keys'] = array_keys($this->languages_list);
		
		if (isset($_POST['activate'])) {
			if (isset($_POST['translate_languages'])) {
				$languages = $_POST['translate_languages'];
			} else {
				$languages = array();
			}
			
			$this->data['selected_keys'] = $languages;
			
			$this->page['params'] = serialize($languages);
		}
		
		$this->page['html'] = $this->load_view('settings');
		return $this->page;
	}
	
	public function action_settings($plugin) {
		$this->data['languages'] = $this->languages_list;
		$this->data['selected_keys'] = unserialize($plugin['params']);
		
		if (isset($_POST['edit_settings'])) {
			if (isset($_POST['translate_languages'])) {
				$languages = $_POST['translate_languages'];
			} else {
				$languages = array();
			}
			
			$this->data['selected_keys'] = $languages;
			
			$this->page['params'] = serialize($languages);
		}
		
		$this->page['html'] = $this->load_view('settings');
		return $this->page;
	}
}